| 0.9.9 API documenation

Functions
GLM_EXT_matrix_relational
Stable extensions

## Functions
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y)
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, T epsilon)
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | equal (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, vec< C, T, Q > const &epsilon)
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y)
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, T epsilon)
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< C, bool, Q > | notEqual (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y, vec< C, T, Q > const &epsilon)

## Detailed Description

Exposes comparison functions for matrix types that take a user defined epsilon values.

Include <glm/ext/matrix_relational.hpp> to use the features of this extension.

See also
  GLM_EXT_vector_relational
  GLM_EXT_scalar_relational
  GLM_EXT_quaternion_relational

## Function Documentation

## ◆ equal() [1/3]

GLM_FUNC_DECL GLM_CONSTEXPR vec<C, bool, Q> glm::equal | ( | mat< C, R, T, Q > const & | x,
|  | mat< C, R, T, Q > const & | y
| ) |  |

Perform a component-wise equal-to comparison of two matrices.

Return a boolean vector which components value is True if this expression is satisfied per column of the matrices.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number of columns of the matrix
  R | Integer between 1 and 4 included that qualify the number of rows of the matrix
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

## ◆ equal() [2/3]

GLM_FUNC_DECL GLM_CONSTEXPR vec<C, bool, Q> glm::equal | ( | mat< C, R, T, Q > const & | x,
|  | mat< C, R, T, Q > const & | y,
|  | T | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number of columns of the matrix
  R | Integer between 1 and 4 included that qualify the number of rows of the matrix
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

## ◆ equal() [3/3]

GLM_FUNC_DECL GLM_CONSTEXPR vec<C, bool, Q> glm::equal | ( | mat< C, R, T, Q > const & | x,
|  | mat< C, R, T, Q > const & | y,
|  | vec< C, T, Q > const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number of columns of the matrix
  R | Integer between 1 and 4 included that qualify the number of rows of the matrix
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

## ◆ notEqual() [1/3]

GLM_FUNC_DECL GLM_CONSTEXPR vec<C, bool, Q> glm::notEqual | ( | mat< C, R, T, Q > const & | x,
|  | mat< C, R, T, Q > const & | y
| ) |  |

Perform a component-wise not-equal-to comparison of two matrices.

Return a boolean vector which components value is True if this expression is satisfied per column of the matrices.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number of columns of the matrix
  R | Integer between 1 and 4 included that qualify the number of rows of the matrix
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

## ◆ notEqual() [2/3]

GLM_FUNC_DECL GLM_CONSTEXPR vec<C, bool, Q> glm::notEqual | ( | mat< C, R, T, Q > const & | x,
|  | mat< C, R, T, Q > const & | y,
|  | T | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is not satisfied.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number of columns of the matrix
  R | Integer between 1 and 4 included that qualify the number of rows of the matrix
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

## ◆ notEqual() [3/3]

GLM_FUNC_DECL GLM_CONSTEXPR vec<C, bool, Q> glm::notEqual | ( | mat< C, R, T, Q > const & | x,
|  | mat< C, R, T, Q > const & | y,
|  | vec< C, T, Q > const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

Template Parameters

  C | Integer between 1 and 4 included that qualify the number of columns of the matrix
  R | Integer between 1 and 4 included that qualify the number of rows of the matrix
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum